﻿using Sample.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;
using Syncfusion.Linq;
using Syncfusion.JavaScript.DataSources;

namespace Sample.Controllers
{
    public partial class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            List<Country> countryList = new List<Country>();
            countryList.Add(new Country() { ShipCountry = "United States", CountryCode = 333 });
            countryList.Add(new Country() { ShipCountry = "Mexico", CountryCode = 299 });
            countryList.Add(new Country() { ShipCountry = "Canada", CountryCode = 141 });
            ViewBag.country = countryList.ToList();
            ViewBag.data = OrderRepository.GetAllRecords().ToList();            
            return View();
        }
        public class Country
        {
            public string ShipCountry { get; set; }
            public int CountryCode { get; set; }
        }
        public ActionResult Update(EditableOrder value, string GridTNumber, string ReceiptType)
        {
            return Json(new List<string>(), JsonRequestBehavior.AllowGet);
        }
    }

}
